# Loxberry Plugin: MIYOplugin
Dieses Plugin bindet ein MIYO-Bewässerungssystem an einen Miniserver über UDP an. Die Kommunikation zwischen diesem Plugin und dem MIYO-Cube erfolgt per Websocket.
Die Kommunikation erfolgt bidirektional; der Miniserver kann neben der Visualisierung der Zustände des Bewässerungssystems also auch die einzelnen Bewässerungskreise/Ventile steuern.

Das Plugin unterstützt aktuell bis zu 10 Bewässerungskreise mit jeweils bis zu 10 Ventilen und einem Sensor.

nähere Informationen unter http://miyoplugin.phantasoft.de

## Feedback und Diskussion
Das PlugIn wird von mir weiterentwickelt und ich freue mich über Anregungen und Feedback. Hierzu habe ich im Loxforum einen Thread eröffnet:

<a href="https://www.loxforum.com/forum/projektforen/loxberry/plugins/201277">https://www.loxforum.com/forum/projektforen/loxberry/plugins/201277</a>

Oliver Engel, 31.03.2020
http://miyoplugin.phantasoft.de

## Change-Log
- 2019-05-18 Release v0.01  erste öffentliche Version
- 2019-05-30 Release v0.02  Remanenz des externBlock-Status eingeführt (EXT_REM)
                            Fehler beim Speichern der ipv6-Adresse im Conf-File behoben
                            plugin.cfg: LB_MINIMUM auf 1.0.0 angepasst
                            Plugin meldet nun Start und Stop des Plugins per UDP (SID=MIYOcentral running=1/0)
                            Fehler in der Loxone-Vorlage bei den Sensor-Eingängen behoben
                            running, updated, forecast und temperature nun auch Bestandteil der Loxone-Vorlage
                            Update-Funktion des Plugins modifiziert; daemon-reload sollte nun funktionieren
- 2019-07-15 Release v0.03  mögliche Probleme beim Schreiben der Log-Files behoben
                            kleinere Optimierungen am Python-Code
- 2019-10-31 Release v0.04  Vorbereitung auf LoxBerry v2.0
                            Umlaute in den Bereichsnamen der MIYO-App möglich
                            kleinere Optimierungen hinsichtlich Logging und Fehlererkennung und -behebung
                            (Rechte Logfiles, fehlende Python-Module: Reparatur über service.sh repair möglich)
                            miyoplugin.service und andere Files nun ohne x-Rechte
                            Konstante maxdev in index.cgi eingeführt für mehr als 10 Kreise/Ventile/Sensoren
                            postroot.sh: service.sh restart raus; dafür repair rein
                            postupgrade.sh: service.sh restart rein
                            wsconnected=False als default; running=0-Meldung nur noch wenn Websocket offen war
                            Start-/Stopmeldungen des Plugins nun in allen konfigurierten Logfiles
                            Info-Meldungen im Haupt-Logfile (logfile/UDP-Sende-Log) zentralisiert
- 2020-03-31 Release v0.05  im Web-Interface größere Buttons
                            preupgrade.sh erzeugt nun ggf. Verzeichnis uploads
                            Schiebeschalter nun grau bei "off" und grün bei "on"
                            erweiterte CGI-Debug-Funktion; default: off; enable mit $myDebug = 1 in der index.cgi
                            Anzeige der Versionsnummer im Header
                            Nachinstallation von setuptools in postroot.sh wg. Installationsproblemen bei neueren LB-Images
                            Anpassung in service.sh - chown -R
                            Verbesserung für Umlaute in Bereichsnamen

## Known-Issues
- der Download der Loxone-Vorlagen-Datei klappt nicht mit dem IE11 - bitte alternativen Browser nutzen!
