#!/bin/bash
what="miyoplugin"

case $1 in
  start)
    echo starting $what
    sudo systemctl start $what
    sudo systemctl enable $what
    ;;
  stop)
    echo stopping $what
    sudo systemctl stop $what
    sudo systemctl disable $what
    ;;
  restart)
    echo restarting $what
    sudo systemctl restart $what
    ;;
  daemon-reload)
    echo daemon-reload
    sudo systemctl daemon-reload
    ;;
  repair)
    echo repair $what
    chown -R loxberry:loxberry REPLACELBPLOGDIR/*
    chmod ugo-x REPLACELBPBINDIR/miyoplugin.service
    #pip3 install --upgrade --force-reinstall websocket-client requests
    pip3 install --upgrade setuptools websocket-client requests
    ;;
  *)
    echo don\'t know what to do
    ;;
esac

